QGIS Application - Bug report #17898
Not Able to save style in GeoPackage
2018-01-20 01:07 PM - Klas Karlsson

Status: Closed

Priority: High

Assignee:

Category: Data Provider

Affected QGIS version:2.18.15 Regression?: Yes
Operating System: Ubuntu 16.04 Easy fix?: Yes
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corrupls data: Copied to github as #: 25794
Description

Relating to #17657

Saving vector style as default can not save in source database for GeoPackage data.
No error message is given and the result is a *.gml file with the GeoPackage. This works for single layer GeoPackage, but not otherwise.

Saving the style explicitly to the source database gives an error (attached img).

Tested alsoon 2.18.16

NOTE: Same method for spatialite works just fine.

ALSO:

GeoPackage is not browsable in the DB Manager (may be unrelated to above) and slooow in Browser.
(Attached image)

Since styling and browsing with spatialite works fine, it may be a database manager issue and not a styling problem?
Running:

GDAL/OGR 1.11.3
Spatialite 4.3.0a

History

#1 - 2018-01-20 01:48 PM - Klas Karlsson

- Status changed from Open to Closed

The problem persists using qgis.org/debian source, but qgis.org/ubuntugis works, since this use GDAL 2.2...

In a perfect world there should be a message about "wrong" GDAL version for this feature.

#2 - 2018-01-21 05:22 PM - Jiirgen Fischer

- Description updated

#3 - 2018-02-21 09:49 PM - Giovanni Manghi

- Resolution set to wontfix

- Easy fix? changed from No to Yes
